import request from '@/utils/request'

// 查询站点列表
export function listSite() {
  return request({
    url: '/adv/site/list',
    method: 'get'
  })
}

// 查询站点详情
export function getSite(id) {
  return request({
    url: '/adv/site/' + id,
    method: 'get'
  })
}

// 创建站点
export function addSite(data) {
  return request({
    url: '/adv/site',
    method: 'post',
    data: data
  })
}

// 更新站点
export function updateSite(id, data) {
  return request({
    url: '/adv/site/' + id,
    method: 'put',
    data: data
  })
}

// 删除站点
export function delSite(id) {
  return request({
    url: '/adv/site/' + id,
    method: 'delete'
  })
}

// 查询站点统计数据
export function getSiteStatistics(id) {
  return request({
    url: '/adv/site/' + id + '/statistics',
    method: 'get'
  })
}

// 启用/停用站点
export function enableSite(id) {
  return request({
    url: '/adv/site/enable/' + id,
    method: 'post'
  })
}

